import request from '@/utils/request';

// 查询角色列表
// export function listRole(query: Array<object>) {
// 	return request({
// 		url: '/api/system/role/list',
// 		method: 'get',
// 		params: query,
// 	});
// }
export function listRole(query: Array<object>) {
	return request({
		url: '/api/role/list',
		method: 'get',
		params: query,
	});
}

// 查询角色详细
// export function getRole(roleId: number) {
// 	return request({
// 		url: '/api/system/role/' + roleId,
// 		method: 'get',
// 	});
// }
export function getRole(roleId: number) {
	return request({
		url: '/api/role/list/' + roleId,
		method: 'get',
	});
}

// 新增角色
// export function addRole(data: Array<object>) {
// 	return request({
// 		url: '/api/system/role',
// 		method: 'post',
// 		data: data,
// 	});
// }
export function addRole(data: Array<object>) {
	return request({
		url: '/api/role/list',
		method: 'post',
		data: data,
	});
}

// 修改角色
// export function updateRole(roleId: Number, data: Array<object>) {
// 	return request({
// 		url: '/api/system/role',
// 		method: 'put',
// 		data: data,
// 	});
// }
export function updateRole(roleId: Number, data: Array<object>) {
	return request({
		url: '/api/role/list/' + roleId,
		method: 'put',
		data: data,
	});
}

// 角色数据权限
export function dataScope(data: Array<object>) {
	return request({
		url: '/api/role/dataScope',
		method: 'put',
		data: data,
	});
}

// 角色状态修改
// export function changeRoleStatus(roleId: number, status: string) {
// 	const data = {
// 		roleId,
// 		status,
// 	};
// 	return request({
// 		url: '/api/system/role/changeStatus',
// 		method: 'put',
// 		data: data,
// 	});
// }

export function changeRoleStatus(roleId: number, status: string) {
	const data = {
		roleId,
		status,
	};
	return request({
		url: '/api/role/changeStatus',
		method: 'put',
		data: data,
	});
}

// 删除角色
// export function delRole(roleId: number) {
// 	return request({
// 		url: '/api/system/role/' + roleId,
// 		method: 'delete',
// 	});
// }
export function delRole(roleId: number) {
	return request({
		url: '/api/role/list/' + roleId,
		method: 'delete',
	});
}

// 导出
// export function exportRole(query: any) {
// 	return request({
// 		url: '/api/system/role/export',
// 		method: 'get',
// 		params: query,
// 	});
// }
